Package org.springframework.http.client.reactive

# Class ReactorResourceFactory

java.lang.Object
org.springframework.http.client.ReactorResourceFactory
org.springframework.http.client.reactive.ReactorResourceFactory

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ApplicationContextAware`, `org.springframework.context.Lifecycle`, `org.springframework.context.Phased`, `org.springframework.context.SmartLifecycle`

@Deprecated(since="6.1") public class ReactorResourceFactory extends ReactorResourceFactory
Deprecated.
since 6.1 due to a package change; use `ReactorResourceFactory` instead.
Factory to manage Reactor Netty resources, i.e. `LoopResources` for event loop threads, and `ConnectionProvider` for the connection pool, within the lifecycle of a Spring `ApplicationContext`.

This factory implements `InitializingBean`, `DisposableBean` and `Lifecycle` and is expected typically to be declared as a Spring-managed bean.

Notice that after a `Lifecycle` stop/restart, new instances of the configured `LoopResources` and `ConnectionProvider` are created, so any references to those should be updated.

Since:
  5.1
Author:
  Rossen Stoyanchev, Brian Clozel, Sebastien Deleuze

## Field Summary

### Fields inherited from interface org.springframework.context.SmartLifecycle

`DEFAULT_PHASE`

## Constructor Summary

Constructors
Constructor
Description
`ReactorResourceFactory()`
Deprecated.

## Method Summary

### Methods inherited from class org.springframework.http.client.ReactorResourceFactory

`addGlobalResourcesConsumer, afterPropertiesSet, destroy, getConnectionProvider, getLoopResources, getPhase, isRunning, isUseGlobalResources, setApplicationContext, setConnectionProvider, setConnectionProviderSupplier, setLoopResources, setLoopResourcesSupplier, setShutdownQuietPeriod, setShutdownTimeout, setUseGlobalResources, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.SmartLifecycle

`isAutoStartup, stop`

## Constructor Details

### ReactorResourceFactory

public ReactorResourceFactory()
Deprecated.